commit: d718d0ee9fb3d3f7d958c0065d4c937cf98d6139
Author: Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 21 08:49:49 2024 +0000
Commit: Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Sun Jul 21 08:49:49 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=d718d0ee
scripts/bootstrap-prefix: improve emake error reporting
If make fails, run with forced -j1 to get a clearer error for debugging
purposes.
Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>
scripts/bootstrap-prefix.sh | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
diff --git a/scripts/bootstrap-prefix.sh b/scripts/bootstrap-prefix.sh
index 024a77392a..f49a595ad0 100755
--- a/scripts/bootstrap-prefix.sh
+++ b/scripts/bootstrap-prefix.sh
@@ -44,7 +44,10 @@ emake() {
estatus "stage1: building ${PWD##*/}"
fi
read -r -a makeopts <<< "${MAKEOPTS}"
- v "${MAKE}" "${makeopts[@]}" "$@" || return 1
+ if ! v "${MAKE}" "${makeopts[@]}" "$@" ; then
+ estatus "stage1: retry with -j1 for clearer error message in
${PWD##*/}"
+ v "${MAKE}" "${makeopts[@]}" "$@" -j1 || return 1
+ fi
}
efetch() {